Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5206 - sndconfig doesn't initialize ESS 1868 properly - freezes computer
Summary: sndconfig doesn't initialize ESS 1868 properly - freezes computer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-18 18:00 UTC by Trond Eivind Glomsrød
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-08 19:59:58 UTC


Attachments (Terms of Use)

Description Trond Eivind Glomsrød 1999-09-18 18:00:47 UTC
sndconfig recognizes the ESS 1868 (A ISA pnp card), but
when it loads the modules, the computer freezes
(consoleswitch works, but doing anything in any prompt
doesn't return)

Comment 1 Bill Nottingham 1999-09-18 18:44:59 UTC
That's not good. Any chance you could run a debugging version
under gdb and see where this is happening?

Does it happen if you just do:
modprobe sb io=whatever, etc. from the command line, or if you
run

a) pnpdump -c
b) isapnp /etc/isapnp.conf?

Comment 2 Trond Eivind Glomsrød 1999-09-18 20:49:59 UTC
"pnpdump -c" hangs indefitely, with this output (note that this,
unlike sndconfig, can be terminated by ctrl-c. You can't do much
until you've done that, though):

# Compiler flags: -DREALTIME -DNEEDSETSCHEDULER -DABORT_ONRESERR
#
# Trying port address 0203
# Board 1 has serial identifier 27 ff ff ff ff 68 18 73 16
# Board 2 has serial identifier a4 00 00 00 44 88 16 75 06

# (DEBUG)
(READPORT 0x0203)
(ISOLATE PRESERVE)
(IDENTIFY *)
(VERBOSITY 2)
(CONFLICT (IO FATAL)(IRQ FATAL)(DMA FATAL)(MEM FATAL)) # or WARNING

When I use my old isapnp.conf-file (and modprobe) I get sound, and
the system doesn't lock up. The file was not generated by sndconfig
earlier - I remember using pnpdump, though.

Comment 3 Bill Nottingham 1999-09-18 21:00:59 UTC
Is the readport different in the working isapnp.conf?

Comment 4 Trond Eivind Glomsrød 1999-09-18 21:06:59 UTC
"pnpdump -c" hangs indefitely, with this output (note that this,
unlike sndconfig, can be terminated by ctrl-c. You can't do much
until you've done that, though):

# Compiler flags: -DREALTIME -DNEEDSETSCHEDULER -DABORT_ONRESERR
#
# Trying port address 0203
# Board 1 has serial identifier 27 ff ff ff ff 68 18 73 16
# Board 2 has serial identifier a4 00 00 00 44 88 16 75 06

# (DEBUG)
(READPORT 0x0203)
(ISOLATE PRESERVE)
(IDENTIFY *)
(VERBOSITY 2)
(CONFLICT (IO FATAL)(IRQ FATAL)(DMA FATAL)(MEM FATAL)) # or WARNING

When I use my old isapnp.conf-file (and modprobe) I get sound, and
the system doesn't lock up. The file was not generated by sndconfig
earlier - I remember using pnpdump, though.

Comment 5 Trond Eivind Glomsrød 1999-09-18 21:07:59 UTC
The working file looks like this:

(ISOLATE)
(IDENTIFY *)
(CONFIGURE ESS1868/-1 (LD 1
(IO 0 (BASE 0x0220))
(IO 1 (BASE 0x0388))
(IO 2 (BASE 0x0330))
(DMA 0 (CHANNEL 1))
(INT 0 (IRQ 5 (MODE +E)))
(ACT Y)
))
(CONFIGURE ASU1688/68 (LD 0
#         Number of IO addresses required: 4
(IO 0 (BASE 0x0100))
#     IRQ 3, 4, 5, 9, 10, 11, 12 or 15.
#         High true, edge sensitive interrupt
(INT 0 (IRQ 3 (MODE +E)))
#     *** ERROR *** No IRQ specified!
(ACT Y)
))

(WAITFORKEY)

I don't see any readport at all

Comment 6 Bill Nottingham 1999-09-18 21:22:59 UTC
There will be a new sndconfig (appearing shortly, 0.37-3), that
makes pnpdump run outside of newt, so you should be able to kill it.
It probably won't actually configure the card, though.

What sort of motherboard/chipset/BIOS do you have?

Comment 7 Trond Eivind Glomsrød 1999-09-19 10:49:59 UTC
The motherboard is AI5TV-V8-0530.  It has an Award 4.51PG BIOS, with
Award Plug and Play Bios Extension v1.0a
(it is a P200MMX-computer which I only have access to during weekends)

Comment 8 Bill Nottingham 1999-09-19 18:45:59 UTC
What kernel are you running?

Comment 9 Trond Eivind Glomsrød 1999-09-19 19:25:59 UTC
2.2.12-10, pentium version - the default installed (lorax, 0914).
FWIW, I compiled a custom kernel (from the same sources) and it
behaves in the samme manner.

It looks like the working file initialises the board on 0x100, which
is below 0x203 where pnpdump starts looking?

Comment 10 Bill Nottingham 1999-09-20 15:07:59 UTC
Actually, the 0x100 is just the first port for the second
card (modem?)

Comment 11 Bill Nottingham 1999-09-23 19:23:59 UTC
Should be fixed with sndconfig-0.37-4, isapnptools-1.18b-2.


Note You need to log in before you can comment on or make changes to this bug.